package net.ranides.assira.math;

import org.junit.Test;

import static org.junit.Assert.*;

public class NumberTraitsTest {

    @Test
    public void isInt() {
        assertTrue(NumberTraits.isInt(10));
        assertTrue(NumberTraits.isInt(15));
        assertTrue(NumberTraits.isInt(400));

        assertFalse(NumberTraits.isInt(10.1));
        assertFalse(NumberTraits.isInt(15.0002));
        assertFalse(NumberTraits.isInt(399.9999));
    }
}